GET /repositories
Summary: List public repositories
Operation ID: repos/list-public
Auth: bearer_token
Operation ID: repos/list-public
Auth: bearer_token
Description
Lists all public repositories in the order that they were created. Note: - For GitHub Enterprise Server, this endpoint will only list repositories available to all users on the enterprise. - Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/guides/using-pagination-in-the-rest-api#using-link-headers) to get the URL for the next page of repositories.
Parameters (1)
since
(integer, query, optional)
A repository ID. Only return repositories with an ID greater than this ID.
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List public repositories (first page) | curl |
https://api.github.com/repositories |
|
| List public repositories with pagination | curl |
https://api.github.com/repositories?since=1000 |
|
| List public repositories starting from specific ID | curl |
https://api.github.com/repositories?since=5000000 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:29:11.479958 | 200 | 456ms | |
| 2026-03-23 10:28:09.718152 | 200 | 332ms | |
| 2026-03-23 10:09:11.080040 | 200 | 343ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:28:09.718152 | 2cd50f52489d |
21db273f0eaf |
| 2026-03-23 10:29:11.479958 | 21db273f0eaf |
1c657242d4ae |